<?php

declare(strict_types=1);

use App\Models\User;

test('user profile teest', function () {
    $user = User::factory()->create();

    $this->actingAs($user, 'api'); // specify guard

    $response = $this->getJson('/api/user');

    $response->assertOk()
        ->assertJson(['id' => $user->id]);
});
